using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RozenbergBrovki
{
    public partial class Авторизация : Form
    {
       RozenbergBrEntities1 db = new RozenbergBrEntities1();

        public Авторизация()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (string.IsNullOrEmpty(Логин.Text) || string.IsNullOrEmpty(Пароль.Text))
            {
                MessageBox.Show("Введите логин и пароль");
                return;

                }
            var user = db.Loginpass.AsNoTracking().FirstOrDefault(l => l.Login == Логин.Text && l.Pass == Пароль.Text);
            if (user==null)
            {
                MessageBox.Show("Пользователя не существует");
            }
            else
            {
                Редакт f = new Редакт();
                f.Show();
                this.Hide();
            }
           
        }

        private void button2_Click(object sender, EventArgs e)
        {
           Запись k = new Запись();
            k.Show();
        }
    }
}
